> This page is for version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.pinnacle.sh/v-2/llms.txt
> - v1: https://docs.pinnacle.sh/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pinnacle.sh/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pinnacle.sh/_mcp/server.

# List Network Requests

POST https://api.pinnacle.sh/network/requests/list
Content-Type: application/json

List Network API request records for your team, sorted newest first. Use filters to audit recent checks by type, status, or your own `clientRef`.

Limited availability. Contact [founders@pinnacle.sh](mailto:founders@pinnacle.sh) to request access.

Reference: https://docs.pinnacle.sh/api-reference/network/list-network-requests

## Authentication

- `PINNACLE-API-KEY` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a ListNetworkRequestsRequest.

- `pageIndex` (integer, optional, default: 0) — Zero-based page index. Use 0 for the first page.
- `pageSize` (integer, optional, default: 20) — Number of records to return, from 1 to 100.
- `type` (enum, optional) — Type of Network API check.
  - Allowed values: `silent-auth`, `sim-swap`, `subscriber-match`
- `status` (enum, optional) — Lifecycle status of a Network API request. `started` and `challenge-issued` are in-progress states; `completed`, `failed`, and `expired` are terminal states.
  - Allowed values: `started`, `challenge-issued`, `completed`, `failed`, `expired`
- `clientRef` (string, optional) — Filter by your correlation ID. Must be 1 to 40 characters when provided.

## Response

### 200

Returns a paginated list of Network API request summaries.

- `data` (list of NetworkRequestSummary, required)
- `hasMore` (boolean, required) — Whether another page exists after this one.
- `count` (integer, required) — Total number of matching request records.

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to providing an invalid update.&#x20; Errors may originate from invalid payload or from Pinnacle's additional validation checks. For example, providing an URL that cannot be accessed, updating a campaign that is currently being reviewed, updating data that you cannot access, sending a malformed message, and so on.&#x20; For `Pinnacle Validation Error` inspect the `error` payload to determine the source of the failure. These errors are likely due to additional validation and business logic checks. For `Request Validation Error` inspect the `description` and `errors` payload to determine the source of failure. These errors are likely due to invalid payload inside the request.

- `ListNetworkRequestsRequestBadRequestError`

### 401 Unauthorized Error

The request lacks valid authentication credentials or the provided credentials are invalid.&#x20; Ensure you're including a valid API key in the request headers and that your account has the necessary permissions to access this endpoint.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

### 403 Forbidden Error

Your subscription does not include access to this feature.&#x20; This occurs when attempting to use functionality that requires a higher subscription tier. Please upgrade your subscription to access this feature.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

### 500 Internal Server Error

An unexpected error occurred on Pinnacle's servers while processing your request.&#x20; If this error persists, please contact support with the request details.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

## Types

### NetworkRequestSummary

- `requestId` (string, required) — Unique Pinnacle ID for a Network API request.
- `type` (enum, required) — Type of Network API check.
  - Allowed values: `silent-auth`, `sim-swap`, `subscriber-match`
- `status` (enum, required) — Lifecycle status of a Network API request. `started` and `challenge-issued` are in-progress states; `completed`, `failed`, and `expired` are terminal states.
  - Allowed values: `started`, `challenge-issued`, `completed`, `failed`, `expired`
- `clientRef` (string, required, nullable) — Your correlation ID from the original request.
- `createdAt` (string, required) — Timestamp when the request record was created.
- `updatedAt` (string, required) — Timestamp when the request record was last updated.
- `completedAt` (string, required, nullable) — Timestamp when the request reached a terminal state.
- `expiresAt` (string, required, nullable) — Expiration timestamp for short-lived request flows, when applicable.
- `errorMessage` (string, required, nullable) — Error message for failed requests.
- `result` (NetworkRequestResult, required) — Result from the original check, or null while the request is still pending or no result is available.

### ZodError

- `description` (string, required) — Human-readable summary of validation failures.
- `errors` (ZodErrorErrors, required) — Structured dictionary of issues containing two main sections: - `errors`: Array of global validation errors not tied to specific fields - `properties`: Object mapping field names to their specific validation errors, where each field contains an `errors` array

### Error

Standard error response returned when a request cannot be processed successfully.

- `error` (string, required) — Human-readable description of the error that occurred, corresponding to the HTTP status code.

### NetworkRequestResult

Result from the original check, or null while the request is still pending or no result is available.

### ZodErrorErrors

Structured dictionary of issues containing two main sections: - `errors`: Array of global validation errors not tied to specific fields - `properties`: Object mapping field names to their specific validation errors, where each field contains an `errors` array

### SimSwapResponse

- `requestId` (string, required) — Unique Pinnacle ID for a Network API request.
- `status` (enum, required) — Availability of the carrier-backed insight.
  - Allowed values: `available`, `unavailable`, `unsupported`, `failed`
- `simSwapped` (boolean, required, nullable) — Whether the SIM changed during the requested window. Null means the carrier insight was unavailable, unsupported, or failed.
- `latestSimSwapAt` (string, required, nullable) — Timestamp of the latest SIM change in the requested window, when the carrier provides it.

### SubscriberMatchResponse

- `requestId` (string, required) — Unique Pinnacle ID for a Network API request.
- `status` (enum, required) — Availability of the carrier-backed insight.
  - Allowed values: `available`, `unavailable`, `unsupported`, `failed`
- `matches` (SubscriberMatchResponseMatches, required) — Match strength for each evaluated subscriber attribute. - `exact`: Carrier record matches the submitted value exactly. - `high`: Strong match with minor formatting or normalization differences. - `partial`: Some parts match, but the value is not a strong match. - `low`: Weak match. - `none`: Carrier record does not match the submitted value. - `unavailable`: Carrier could not evaluate this attribute. - `included-with-address-match`: Attribute was evaluated as part of the overall address match. - `unknown`: Carrier returned a match value Pinnacle does not recognize yet.

### SilentAuthCheckResponse

- `requestId` (string, required) — Unique Pinnacle ID for a Network API request.
- `status` (enum, required) — Terminal verification result after exchanging a device flow code. `completed` means the phone number was verified; `failed` means the verification did not complete successfully. To inspect pending lifecycle states, use [Get Network Request](/api-reference/network/get-network-request).
  - Allowed values: `completed`, `failed`

### SubscriberMatchResponseMatches

Match strength for each evaluated subscriber attribute. - `exact`: Carrier record matches the submitted value exactly. - `high`: Strong match with minor formatting or normalization differences. - `partial`: Some parts match, but the value is not a strong match. - `low`: Weak match. - `none`: Carrier record does not match the submitted value. - `unavailable`: Carrier could not evaluate this attribute. - `included-with-address-match`: Attribute was evaluated as part of the overall address match. - `unknown`: Carrier returned a match value Pinnacle does not recognize yet.

- `idDocument` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `givenName` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `familyName` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `address` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `streetName` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `streetNumber` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `postalCode` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `locality` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `region` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `country` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `streetNumberSuffix` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`
- `birthdate` (enum, optional) — Carrier match strength for one submitted subscriber attribute.
  - Allowed values: `exact`, `high`, `partial`, `low`, `none`, `unavailable`, `included-with-address-match`, `unknown`

## Examples

### Network Requests

**Response**

```json
{
  "data": [
    {
      "requestId": "nar_1234567890ABCDEF",
      "type": "silent-auth",
      "status": "completed",
      "clientRef": "user_123",
      "createdAt": "2026-06-12T18:25:00Z",
      "updatedAt": "2026-06-12T18:26:00Z",
      "completedAt": "2026-06-12T18:26:00Z",
      "expiresAt": "2026-06-12T18:30:00Z",
      "errorMessage": null,
      "result": {
        "requestId": "nar_1234567890ABCDEF",
        "status": "completed"
      }
    }
  ],
  "hasMore": false,
  "count": 1
}
```

**SDK Code**

```python Network Requests
import requests

url = "https://api.pinnacle.sh/network/requests/list"

headers = {"PINNACLE-API-KEY": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Network Requests
const url = 'https://api.pinnacle.sh/network/requests/list';
const options = {method: 'POST', headers: {'PINNACLE-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Network Requests
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.pinnacle.sh/network/requests/list"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("PINNACLE-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Network Requests
require 'uri'
require 'net/http'

url = URI("https://api.pinnacle.sh/network/requests/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["PINNACLE-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Network Requests
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.pinnacle.sh/network/requests/list")
  .header("PINNACLE-API-KEY", "<apiKey>")
  .asString();
```

```php Network Requests
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.pinnacle.sh/network/requests/list', [
  'headers' => [
    'PINNACLE-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Network Requests
using RestSharp;

var client = new RestClient("https://api.pinnacle.sh/network/requests/list");
var request = new RestRequest(Method.POST);
request.AddHeader("PINNACLE-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Network Requests
import Foundation

let headers = ["PINNACLE-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.pinnacle.sh/network/requests/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Recent Silent Auth Requests

**Request**

```json
{
  "pageIndex": 0,
  "pageSize": 20,
  "type": "silent-auth",
  "status": "completed",
  "clientRef": "user_123"
}
```

**Response**

```json
{
  "data": [
    {
      "requestId": "nar_1234567890ABCDEF",
      "type": "silent-auth",
      "status": "completed",
      "clientRef": "user_123",
      "createdAt": "2026-06-12T18:25:00Z",
      "updatedAt": "2026-06-12T18:26:00Z",
      "completedAt": "2026-06-12T18:26:00Z",
      "expiresAt": "2026-06-12T18:30:00Z",
      "errorMessage": null,
      "result": {
        "requestId": "nar_1234567890ABCDEF",
        "status": "completed"
      }
    }
  ],
  "hasMore": false,
  "count": 1
}
```

**SDK Code**

```python Recent Silent Auth Requests
import requests

url = "https://api.pinnacle.sh/network/requests/list"

payload = {
    "pageIndex": 0,
    "pageSize": 20,
    "type": "silent-auth",
    "status": "completed",
    "clientRef": "user_123"
}
headers = {
    "PINNACLE-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Recent Silent Auth Requests
const url = 'https://api.pinnacle.sh/network/requests/list';
const options = {
  method: 'POST',
  headers: {'PINNACLE-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"pageIndex":0,"pageSize":20,"type":"silent-auth","status":"completed","clientRef":"user_123"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Recent Silent Auth Requests
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.pinnacle.sh/network/requests/list"

	payload := strings.NewReader("{\n  \"pageIndex\": 0,\n  \"pageSize\": 20,\n  \"type\": \"silent-auth\",\n  \"status\": \"completed\",\n  \"clientRef\": \"user_123\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("PINNACLE-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Recent Silent Auth Requests
require 'uri'
require 'net/http'

url = URI("https://api.pinnacle.sh/network/requests/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["PINNACLE-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"pageIndex\": 0,\n  \"pageSize\": 20,\n  \"type\": \"silent-auth\",\n  \"status\": \"completed\",\n  \"clientRef\": \"user_123\"\n}"

response = http.request(request)
puts response.read_body
```

```java Recent Silent Auth Requests
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.pinnacle.sh/network/requests/list")
  .header("PINNACLE-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"pageIndex\": 0,\n  \"pageSize\": 20,\n  \"type\": \"silent-auth\",\n  \"status\": \"completed\",\n  \"clientRef\": \"user_123\"\n}")
  .asString();
```

```php Recent Silent Auth Requests
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.pinnacle.sh/network/requests/list', [
  'body' => '{
  "pageIndex": 0,
  "pageSize": 20,
  "type": "silent-auth",
  "status": "completed",
  "clientRef": "user_123"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'PINNACLE-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Recent Silent Auth Requests
using RestSharp;

var client = new RestClient("https://api.pinnacle.sh/network/requests/list");
var request = new RestRequest(Method.POST);
request.AddHeader("PINNACLE-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"pageIndex\": 0,\n  \"pageSize\": 20,\n  \"type\": \"silent-auth\",\n  \"status\": \"completed\",\n  \"clientRef\": \"user_123\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Recent Silent Auth Requests
import Foundation

let headers = [
  "PINNACLE-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "pageIndex": 0,
  "pageSize": 20,
  "type": "silent-auth",
  "status": "completed",
  "clientRef": "user_123"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.pinnacle.sh/network/requests/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```